### Hierarchy

- IGlobBase
- EventEmitter
  - IGlob

## Index

### Properties

- aborted
- cache
- found
- minimatch
- options
- realpathCache
- statCache
- symlinks
- defaultMaxListeners

### Methods

- abort
- addListener
- emit
- eventNames
- getMaxListeners
- listenerCount
- listeners
- off
- on
- once
- pause
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- resume
- setMaxListeners
- listenerCount

## Properties

### aborted

aborted: boolean

Inherited from IGlobBase.aborted

- Defined in node_modules/@types/glob/index.d.ts:72

### cache

cache: object

Inherited from IGlobBase.cache

- Defined in node_modules/@types/glob/index.d.ts:73

#### Type declaration

- ##### [path: string]: boolean | "DIR" | "FILE" | ReadonlyArray<string>

### found

found: string[]

Inherited from IGlobBase.found

- Defined in node_modules/@types/glob/index.d.ts:77

### minimatch

minimatch: minimatch.IMinimatch

Inherited from IGlobBase.minimatch

- Defined in node_modules/@types/glob/index.d.ts:70

### options

options: IOptions

Inherited from IGlobBase.options

- Defined in node_modules/@types/glob/index.d.ts:71

### realpathCache

realpathCache: object

Inherited from IGlobBase.realpathCache

- Defined in node_modules/@types/glob/index.d.ts:76

#### Type declaration

- ##### [path: string]: string

### statCache

statCache: object

Inherited from IGlobBase.statCache

- Defined in node_modules/@types/glob/index.d.ts:74

#### Type declaration

- ##### [path: string]: false | object | undefined

### symlinks

symlinks: object

Inherited from IGlobBase.symlinks

- Defined in node_modules/@types/glob/index.d.ts:75

#### Type declaration

- ##### [path: string]: boolean | undefined

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### abort

- abort(): void

- - Defined in node_modules/@types/glob/index.d.ts:83

  #### Returns void

### addListener

- addListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/events.d.ts:10

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from EventEmitter.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/events.d.ts:22

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string | symbol, listener: function): this

- Inherited from EventEmitter.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/events.d.ts:11

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: string | symbol, listener: function): this

- Inherited from EventEmitter.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/events.d.ts:12

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### pause

- pause(): void

- - Defined in node_modules/@types/glob/index.d.ts:81

  #### Returns void

### prependListener

- prependListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/events.d.ts:13

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/events.d.ts:14

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### resume

- resume(): void

- - Defined in node_modules/@types/glob/index.d.ts:82

  #### Returns void

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc